Failed on-demand refresh of user accounts

POSTed by D•One to the subscribed targetUrl when a partner-requested on-demand refresh fails for an account. Emitted once for each account that failed within the refresh job.

The payload jobId matches the value returned when initially triggering the on-demand refresh (POST /v1/users/{userId}/accounts-refresh). Use GET /v1/jobs/{jobId} for per-account failureReason values.

See here for details on triggering this refresh type. See the webhooks guide for failure reason codes and retry guidance.

Payload

Webhook event payload.

string
enum
required
Allowed:
uuid
required

Unique identifier for this webhook event.

uuid
required

Webhook subscription that triggered this delivery.

date-time
required

Time at which the event was generated.

payload
object
required
Headers
uuid
required

Unique identifier for this webhook event delivery. Matches eventId in the payload.

date-time
required

Time at which the webhook was generated. Matches timestamp in the payload.

string
required

HMAC SHA-256 signature of the payload, prefixed with sha256=.

Response
2XX

Return a 2xx status within 5 seconds to acknowledge successful receipt.

LoadingLoading…